For the complete documentation index, see llms.txt. This page is also available as Markdown.

Forms

Retrieve form definitions and their versions

List all forms

get

Returns all available forms with pagination.

Authorizations
OAuth2passwordRequired

Send the access token as Authorization: Bearer <token>.

Token URL: Refresh URL:

OAuth2authorizationCodeRequired

Send the access token as Authorization: Bearer <token>.

Authorization URL: Token URL: Refresh URL:
Path parameters
app_shortstringRequired

Short name of the workspace, as found in the URL of the back-office.

Query parameters
pagestringOptional

Page of the overview.

Default: 0Pattern: \d+
per_pagestringOptional

Number of result by page (Max 100)

Default: 10Pattern: -?\d+
updated_sincestringOptional

Get only structure updated from this date

Default: ""Pattern: \d+
include_exclusive_structuresstringOptional

If true, superadmins can access all structures including exclusive ones

Default: falsePattern: (true|false)
Header parameters
X-Accept-Versionstring · enumOptional

API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.

Default: v1.3Possible values:
Responses
200

Paginated list of forms

application/json
next_pageintegerOptional
server_timeinteger · int64Optional
total_countintegerOptional
total_pagesintegerOptional
get/{app_short}/structures
GET /{app_short}/structures HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "next_page": 1,
  "required": {
    "linked_list_ids": [
      1
    ],
    "structure_ids": [
      1
    ]
  },
  "server_time": 1,
  "structures": [
    {
      "can_have_access_restrictions": true,
      "conditions": [
        {
          "cdt": "text",
          "fields": [
            "text"
          ],
          "json_format": [
            {
              "field": "text",
              "operator": "text",
              "value": "text"
            }
          ],
          "name": "text",
          "uuid": "123e4567-e89b-12d3-a456-426614174000"
        }
      ],
      "created_at": 1,
      "deleted_at": 1,
      "fields": [
        {
          "barcodescan": true,
          "enable": true,
          "externalscan": true,
          "label": "text",
          "name": "text",
          "permissions": {
            "editable": {
              "type": "constant",
              "value": true,
              "ids": [
                "123e4567-e89b-12d3-a456-426614174000"
              ]
            },
            "required": {
              "type": "constant",
              "value": true,
              "ids": [
                "123e4567-e89b-12d3-a456-426614174000"
              ]
            },
            "visible": {
              "type": "constant",
              "value": true,
              "ids": [
                "123e4567-e89b-12d3-a456-426614174000"
              ]
            }
          },
          "position": 1,
          "prefill": true,
          "readonly": true,
          "required": true,
          "richtext": true,
          "searchable": true,
          "textRecognition": true,
          "type": "text"
        }
      ],
      "id": 1,
      "is_current_user_allowed": true,
      "layout": {
        "fields": [],
        "pages": []
      },
      "name": "text",
      "nb_submissions": 1,
      "settings": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "triggers": [
        {
          "color": "text",
          "condition_id": "123e4567-e89b-12d3-a456-426614174000",
          "icon": "text",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "label": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "transition_id": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text"
        }
      ],
      "updated_at": 1,
      "version": 1,
      "workflow_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "total_count": 1,
  "total_pages": 1,
  "workflows": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "start_state": "123e4567-e89b-12d3-a456-426614174000",
      "states": [
        {
          "color": "text",
          "end": true,
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        }
      ],
      "transitions": [
        {
          "from": "123e4567-e89b-12d3-a456-426614174000",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "label": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "to": "123e4567-e89b-12d3-a456-426614174000"
        }
      ]
    }
  ]
}

Get a form

get

Returns the form at the requested version, or the latest one when the version is omitted.

Authorizations
OAuth2passwordRequired

Send the access token as Authorization: Bearer <token>.

Token URL: Refresh URL:

OAuth2authorizationCodeRequired

Send the access token as Authorization: Bearer <token>.

Authorization URL: Token URL: Refresh URL:
Path parameters
app_shortstringRequired

Short name of the workspace, as found in the URL of the back-office.

structure_idstringRequiredPattern: \d+
Query parameters
versionstringOptional

Version of the structure

Default: ""Pattern: \d+
Header parameters
X-Accept-Versionstring · enumOptional

API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.

Default: v1.3Possible values:
Responses
200

Form object

application/json
server_timeintegerOptional
get/{app_short}/structures/{structure_id}
GET /{app_short}/structures/{structure_id} HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "structure": {
    "can_have_access_restrictions": true,
    "conditions": [
      {
        "cdt": "text",
        "fields": [
          "text"
        ],
        "json_format": [
          {
            "field": "text",
            "operator": "text",
            "value": "text"
          }
        ],
        "name": "text",
        "uuid": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "created_at": 1,
    "deleted_at": 1,
    "fields": [
      {
        "barcodescan": true,
        "enable": true,
        "externalscan": true,
        "label": "text",
        "name": "text",
        "permissions": {
          "editable": {
            "type": "constant",
            "value": true,
            "ids": [
              "123e4567-e89b-12d3-a456-426614174000"
            ]
          },
          "required": {
            "type": "constant",
            "value": true,
            "ids": [
              "123e4567-e89b-12d3-a456-426614174000"
            ]
          },
          "visible": {
            "type": "constant",
            "value": true,
            "ids": [
              "123e4567-e89b-12d3-a456-426614174000"
            ]
          }
        },
        "position": 1,
        "prefill": true,
        "readonly": true,
        "required": true,
        "richtext": true,
        "searchable": true,
        "textRecognition": true,
        "type": "text"
      }
    ],
    "id": 1,
    "is_current_user_allowed": true,
    "layout": {
      "fields": [],
      "pages": []
    },
    "name": "text",
    "nb_submissions": 1,
    "settings": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "triggers": [
      {
        "color": "text",
        "condition_id": "123e4567-e89b-12d3-a456-426614174000",
        "icon": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "label": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "transition_id": "123e4567-e89b-12d3-a456-426614174000",
        "type": "text"
      }
    ],
    "updated_at": 1,
    "version": 1,
    "workflow_id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "server_time": 1
}

Get a file attached to a form

get

Currently limited to the images of Logo fields.

Authorizations
OAuth2passwordRequired

Send the access token as Authorization: Bearer <token>.

Token URL: Refresh URL:

OAuth2authorizationCodeRequired

Send the access token as Authorization: Bearer <token>.

Authorization URL: Token URL: Refresh URL:
Path parameters
app_shortstringRequired

Short name of the workspace, as found in the URL of the back-office.

structure_idstringRequiredPattern: \d+
file_idstringRequiredPattern: [0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}
Header parameters
X-Accept-Versionstring · enumOptional

API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.

Default: v1.3Possible values:
Responses
200

Image file

image/jpeg
string · binaryOptional
get/{app_short}/structures/{structure_id}/file/{file_id}
GET /{app_short}/structures/{structure_id}/file/{file_id} HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
binary

Last updated

Was this helpful?